Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Enum EnvEntryTypeValuesType

    java.lang.Object
      java.lang.Enum<EnvEntryTypeValuesType>
          org.jboss.shrinkwrap.descriptor.api.javaee5.EnvEntryTypeValuesType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EnvEntryTypeValuesType>

    public enum EnvEntryTypeValuesType

extends java.lang.Enum<EnvEntryTypeValuesType>

This class implements the `env-entry-type-valuesType` xsd type

Original Documentation:

This type contains the fully-qualified Java type of the
environment entry value that is expected by the
application's code.
The following are the legal values of env-entry-type-valuesType:
java.lang.Boolean
java.lang.Byte
java.lang.Character
java.lang.String
java.lang.Short
java.lang.Integer
java.lang.Long
java.lang.Float
java.lang.Double
Example:
java.lang.Boolean

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_JAVA_LANG_BOOLEAN`
`_JAVA_LANG_BYTE`
`_JAVA_LANG_CHARACTER`
`_JAVA_LANG_DOUBLE`
`_JAVA_LANG_FLOAT`
`_JAVA_LANG_INTEGER`
`_JAVA_LANG_LONG`
`_JAVA_LANG_SHORT`
`_JAVA_LANG_STRING`

Method Summary
`static EnvEntryTypeValuesType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static EnvEntryTypeValuesType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EnvEntryTypeValuesType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _JAVA_LANG_BOOLEAN

    public static final EnvEntryTypeValuesType _JAVA_LANG_BOOLEAN

### _JAVA_LANG_BYTE

    public static final EnvEntryTypeValuesType _JAVA_LANG_BYTE

### _JAVA_LANG_CHARACTER

    public static final EnvEntryTypeValuesType _JAVA_LANG_CHARACTER

### _JAVA_LANG_STRING

    public static final EnvEntryTypeValuesType _JAVA_LANG_STRING

### _JAVA_LANG_SHORT

    public static final EnvEntryTypeValuesType _JAVA_LANG_SHORT

### _JAVA_LANG_INTEGER

    public static final EnvEntryTypeValuesType _JAVA_LANG_INTEGER

### _JAVA_LANG_LONG

    public static final EnvEntryTypeValuesType _JAVA_LANG_LONG

### _JAVA_LANG_FLOAT

    public static final EnvEntryTypeValuesType _JAVA_LANG_FLOAT

### _JAVA_LANG_DOUBLE

    public static final EnvEntryTypeValuesType _JAVA_LANG_DOUBLE

Method Detail

### values

    public static EnvEntryTypeValuesType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnvEntryTypeValuesType c : EnvEntryTypeValuesType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnvEntryTypeValuesType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<EnvEntryTypeValuesType>`

### getFromStringValue

    public static EnvEntryTypeValuesType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD